This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 61853 - up2date up2date screw old configuration file
up2date up2date screw old configuration file
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: up2date (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-25 05:49 EST by Need Real Name
Modified: 2015-01-07 18:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-08 16:51:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-03-25 05:49:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; Q312461)

Description of problem:
when you up2date up2date it rewrites you config file. I have specifically 
ignored  certain groups of file ie. perl from being updated so as not to break 
my webserver. however after up2date updated it's self it removed the ignore 
perl section out of the config file. These mean that my nightly cron update 
caused perl to be downloaded and my webserver to crash.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.up2date up2date
2.
3.
	

Actual Results:  It rewrites the config file with the standard

Expected Results:  It should include any changes required to the config file 
but also keep packages which are specifically ignored

Additional info:
Comment 1 Adrian Likins 2002-05-08 16:51:45 EDT
Do you know if the old up2date config was setup to ignore
possible file conflict issues?

Generally, up2date wont update rpms if the status of the config
files is in a state that may cause something to not work. It
sounds like up2date was in this state (locally modified config,
and a difference between old default and new default configs)
so if --force or "noReplaceConfig" was setup, it would have
overwrite the config file.
Comment 2 Adrian Likins 2002-08-08 23:11:34 EDT
There were some rpm bugs that could result in the wrong
version of a config file being used. These should be fixed
with current releases.

Note You need to log in before you can comment on or make changes to this bug.